Ne pas importer les mails "réponses automatiques" et "newsletters"

Décrivez les améliorations que vous souhaiteriez pour les prochaines versions.
Répondre
JoshuaSign_
Gsup LEVEL 1
Messages : 19
Enregistré le : lun. 6 mai 2019 16:17

Ne pas importer les mails "réponses automatiques" et "newsletters"

Message par JoshuaSign_ » jeu. 9 mai 2019 18:44

Bonjour,

Je voulais vous proposer d'ajouter la possibilité de ne pas importer les mails dit "auto-response" ou autre "newsletters".
En effet notre boite est souvent spammée par des mails "automatiques" type newsletters que nous ne souhaitons pas importer sous forme de ticket.

Parfois aussi, lorsque nous envoyons un mail de notification via GestSup, nous recevons en retour une réponse automatiques d'absence.
Dans certains cas ces mails automatiques peuvent ne pas reprendre le sujet de notre notification, donc cela cré un nouveau ticket au lieu de s'ajouter au ticket existant.
Le pb c'est que la création d'un nouveau ticket déclenche l'envoi d'une notification d'ouverture de ticket, à laquelle nous recevons à nouveau une réponse automatique d'absence => nous sommes dans le cas d'une boucle
En quelques heures des centaines de tickets sont ainsi créés inutilement.

Pour limiter ce risque de boucle, j'ai opté pour un filtrage à l'import basé sur la détection des headers Auto-Submitted et Precedence.
Ces headers sont souvent utilisés et permettent de détecter un mail qui n'a pas été envoyé par "un humain".

Voici le code ajouté à mail2ticket.php - vers la ligne 229, juste avant la détection des blacklist

Code : Tout sélectionner

// detect auto responses
$allHeaders=$con_mailbox->getMailHeader($tab_MailsInfo->uid);
$headersRaw = str_replace(array("\r","\n")," ", $allHeaders->headersRaw);
if(preg_match("/.*( Auto-Submitted: | Precedence: ).*/i", $headersRaw, $matches)) {
        echo '['.$mailbox.'] [mail '.$count.'] Import mail "'.$subject.'": <span style="color:red">KO Auto response detected on '.$from.')</span><br />';
        continue;
}
En espérant que cela soit utile à d'autres, je pense qu'un droit serait le mieux pour activer ou non cette possibilité.

Merci de votre attention.
GestSup 3.1.38 - Debian 8.11 - Apache/2.4.10 - Php 5.6.40-0+deb8u2 - MySQL 5.5.62-0+deb8u1

Répondre